import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    tools: commonTools
    orientationLock: PageOrientation.LockPortrait

    width: parent.width
    height: parent.height

    Flickable {
        width: parent.width; height: parent.height
        contentWidth: (parent.width - 20)
        contentHeight: (parent.height - 20)
        flickableDirection: Flickable.VerticalFlick

        Label {
            id: ppolicy
            x: 10
            y: 10
            width: (parent.width - 20)
            height: (parent.height - 20)
            font.pixelSize: 20
            color: "#333333"
            text: "This application is operated and provided by '<b>apps-dev</b>' which is connected to MeeGo Turkey (<i>www.meegoturkiye.org</i>). " +
                  "If you install and use this application, we may collect information about you but we've NEVER access permission to " +
                  "your privacy accounts. This privacy policy explains how information collected via our application used and how to " +
                  "contact us if you have any queries or concerns.<br><br>If you have accessed or used this application, your accounts " +
                  "protected with 'Base64' encryption system. There is no access available for developer in any time. If you forget " +
                  "your password also you have no access to your accounts again!" +
                  "<br><br>Our Privacy Policy does not cover the information practices of other companies and organizations who advertise " +
                  "our services, and who may use cookies, pixel tags and other technologies to serve and offer relevant ads.<br><br>" +
                  "If you have question about privacy, please contact us: developer@apps-dev.com"
        }
    }

    ToolBarLayout {
        id: commonTools
        visible: true
        ToolIcon {
            id: cmdBack
            platformIconId: "toolbar-back"
            anchors.left: (parent === undefined) ? undefined : parent.left
            onClicked: pageStack.pop()
        }
    }
}
