//storage.js
function getDatabase() {
     return openDatabaseSync("AccountBox", "1.0", "AccountBoxDB", 100000);
}

function initialize() {
    var db = getDatabase();
    db.transaction(
        function(tx) {
            tx.executeSql('CREATE TABLE IF NOT EXISTS password(catid TINYINT UNIQUE, pass TEXT)');
            tx.executeSql('CREATE TABLE IF NOT EXISTS accounts(catid INTEGER PRIMARY KEY AUTOINCREMENT, email VARCHAR(50), uname VARCHAR(50), pass VARCHAR(100), server VARCHAR(50), type VARCHAR(50), cat TINYINY, tindex TINYINT)');
      });
}

function setSetting(tid, param1, param2, param3, param4, param5, param6, param7, param8) {
   var db = getDatabase();
   var res = "";
   db.transaction(function(tx) {
        if (tid == 0) {
            var rs = tx.executeSql('INSERT INTO password VALUES (?,?);', [param1,param2]);
        } else if (tid == 1) {
            if (param8 != "" && param8 != 0) {
                var rs = tx.executeSql('UPDATE accounts SET email="' + param1 + '", uname="' + param2 + '", pass="' + param3 + '", server="' + param4 + '", type="' + param5 + '", cat="' + param6 + '", tindex="' + param7 + '" WHERE catid="' + param8 + '"')
            } else {
                var rs = tx.executeSql('INSERT INTO accounts VALUES (?,?,?,?,?,?,?,?);', [,param1,param2,param3,param4,param5,param6,param7]);
            }
        }
              if (rs.rowsAffected > 0) {
                res = "OK!";
              } else {
                res = "Error!";
              }
        }
  );
  return res;
}

function getSetting(tid, did, getdata) {
   var db = getDatabase();
   var res="";
   db.transaction(function(tx) {
     if (tid == 0) {
         var rs = tx.executeSql('SELECT * FROM password WHERE catid=?;', [did]);
     } else if (tid == 1) {
         var rs = tx.executeSql('SELECT * FROM accounts WHERE catid=?;', [did]);
     }

     if (rs.rows.length > 0) {
         if (tid == 0) {
            res = rs.rows.item(0).pass;
         } else if (tid == 1) {
             if (getdata == 1) {
                res = rs.rows.item(0).email;
             } else if (getdata == 2) {
                res = rs.rows.item(0).uname;
             } else if (getdata == 3) {
                res = rs.rows.item(0).pass;
             } else if (getdata == 4) {
                res = rs.rows.item(0).server;
             } else if (getdata == 5) {
                res = rs.rows.item(0).type;
             } else if (getdata == 6) {
                 res = rs.rows.item(0).tindex;
              }
         }
     } else {
         res = "Unknown!";
     }
  })
  return res
}

function getSetting2(catid) {
   var db = getDatabase();
   var res="";
   db.transaction(function(tx) {
     var rs = tx.executeSql('SELECT * FROM accounts WHERE cat = ' + catid + ' ORDER BY catid desc');

     if (rs.rows.length > 0) {
         for(var i = 0; i < rs.rows.length; i++) {
             res = {'email': rs.rows.item(i).email,'uname': rs.rows.item(i).uname,'pass': rs.rows.item(i).pass,'server': rs.rows.item(i).server,'type': rs.rows.item(i).type,'catid': rs.rows.item(i).catid,'tindex': rs.rows.item(i).tindex}
             listModel.append(res);
         }
     }
  })
}

function deleteData(dataID,catID) {
   var db = getDatabase();
   db.transaction(function(tx) {
                      if (catID != "" && catID != 0) {
                          //var rs =
                          tx.executeSql('DELETE FROM accounts WHERE cat = ' + catID);
                      } else {
                          tx.executeSql('DELETE FROM accounts WHERE catid = ' + dataID);
                      }
  })
}

function dropTable(dataID) {
   var db = getDatabase();
   db.transaction(function(tx) {
                      if (dataID == 0) {
                          tx.executeSql('DROP TABLE password');
                      } else if (dataID == 1) {
                          tx.executeSql('DROP TABLE accounts');
                      }
  })
}
