import QtQuick 1.1
import com.nokia.meego 1.0
import "storage.js" as Storage
import "crypto.js" as Crypto

Page {
    id: third
    tools: commonTools
    orientationLock: PageOrientation.LockPortrait

    Image {source: "images/back.jpg"; fillMode: Image.Tile; anchors.fill: parent}
    Image {source: "images/box.png"; fillMode: Image.Stretch; x: 335; y: 600}

    property string dataID: ""
    property string changeID: ""

    function getText() {listModel.clear()
                        Storage.getSetting2(mainPage.hTipi)}

    function setIcon(getID) {
        var dataIcon = ""
        var sData = parseInt(getID)
        if (mainPage.hTipi == "1") {
            if (sData >= 0 && sData < 3) {
                dataIcon = "images/sn/1/" + sData + ".png"
            } else {dataIcon = "images/sn/other.png"}
        } else if (mainPage.hTipi == "2") {
            dataIcon = "images/sn/vcard.png"
        } else if (mainPage.hTipi == "3") {
            if (sData >= 0 && sData < 2) {
                dataIcon = "images/sn/2/" + sData + ".png"
            } else {dataIcon = "images/sn/other.png"}
        } else if (mainPage.hTipi == "4") {
            if (sData >= 0 && sData < 24) {
                dataIcon = "images/sn/3/" + sData + ".png"
            } else {dataIcon = "images/sn/other.png"}
        } else {
            dataIcon = "images/sn/other.png"
        }
        return dataIcon
    }

    function setXY (what) {
        if (what == "normal") {
            hesapKayit1.x = 20
            hesapKayit1.y = 32

            hesapKayit2.x = 170
            hesapKayit2.y = 20

            hesapKayit3.x = 20
            hesapKayit3.y = 95

            hesapKayit4.x = 170
            hesapKayit4.y = 90

            hesapKayit5.x = 20
            hesapKayit5.y = 172

            hesapKayit6.x = 170
            hesapKayit6.y = 160

            hesapKayit7.x = 20
            hesapKayit7.y = 235

            hesapKayit8.x = 170
            hesapKayit8.y = 230
        } else {
            hesapKayit7.x = 20
            hesapKayit7.y = 32

            hesapKayit8.x = 170
            hesapKayit8.y = 20

            hesapKayit1.x = 20
            hesapKayit1.y = 95

            hesapKayit2.x = 170
            hesapKayit2.y = 90

            hesapKayit3.x = 20
            hesapKayit3.y = 172

            hesapKayit4.x = 170
            hesapKayit4.y = 160

            hesapKayit5.x = 20
            hesapKayit5.y = 235

            hesapKayit6.x = 170
            hesapKayit6.y = 230
        }
    }

    function setObjects (bool) {
        cmdGeri.visible = bool
        cmdTemizle.visible = bool

        if (bool == false) {
            cmdEkle.visible = true
            cmdTazele.visible = true
            cmdSil.visible = true
            cmdBack.visible = true
            gosterKayit1.visible = true
        } else {
            cmdEkle.visible = false
            cmdTazele.visible = false
            cmdSil.visible = false
            cmdBack.visible = false
            gosterKayit1.visible = false
        }

        hesapKayit1.text = mainPage.sData3 + " :"
        hesapKayit3.text = mainPage.sData1 + " :"
        hesapKayit7.text = mainPage.sData2 + " :"
        hesapKayit9.visible = bool
        setXY("normal")

        if (mainPage.hTipi == "1") {
            hesapKayit10.text = hesapturu1.model.get(hesapturu1.selectedIndex).name
        } else if (mainPage.hTipi == "2") {
            hesapKayit10.text = hesapturu2.model.get(hesapturu2.selectedIndex).name
            hesapKayit9.visible = false
            setXY()
            hesapKayit2.inputMethodHints = Qt.ImhDigitsOnly
            hesapKayit4.inputMethodHints = Qt.ImhDigitsOnly
            hesapKayit8.inputMethodHints = Qt.ImhDigitsOnly
        } else if (mainPage.hTipi == "3") {
            hesapKayit10.text = hesapturu3.model.get(hesapturu3.selectedIndex).name
        } else if (mainPage.hTipi == "4") {
            hesapKayit10.text = hesapturu4.model.get(hesapturu4.selectedIndex).name
        } else if (mainPage.hTipi == "5") {
            hesapKayit10.text = hesapturu5.model.get(hesapturu5.selectedIndex).name
            hesapKayit9.visible = false
        }

        hesapKayit1.visible = bool
        hesapKayit2.visible = bool
        hesapKayit3.visible = bool
        hesapKayit4.visible = bool
        hesapKayit5.visible = bool
        hesapKayit6.visible = bool
        hesapKayit7.visible = bool
        hesapKayit8.visible = bool
        hesapKayit10.visible = bool
        hesapKayit11.visible = bool
        hesapKayit12.visible = bool
        hesapKayit13.visible = bool
    }

    ListView {
        id: gosterKayit1
        x: 20
        y: 20
        width: 435
        height: 455
        model: listModel
        delegate: Component {
                    Column{
                      Text { font.pixelSize: 24; color: "#333333"; font.bold: true; text: "     " + type; Image { source: setIcon(tindex) } Button { text: "..."; width: 50; height: 40; x: 400; onClicked: {mySDialog.open(); dataID = catid} } }
                      Text { font.pixelSize: 20; color: "#666666"; text: {if (mainPage.hTipi == "2") {var myText = "      " + mainPage.sData2 + ": " + server; return myText} else {var myText = "      Password   : " + Crypto.base64Decode(pass); return myText}} Image {source: "images/1_server.png"} }
                      Text { font.pixelSize: 20; color: "#666666"; text: {if (mainPage.hTipi == "2") {var myText = "      " + mainPage.sData3 + " : " + email; return myText} else {var myText = "      " + mainPage.sData3 + "     : " + email; return myText}} Image {source: "images/1_email.png"} }
                      Text { font.pixelSize: 20; color: "#666666"; text: "      " + mainPage.sData1 + ": " + uname; Image {source: "images/1_user.png"} }
                      Text { font.pixelSize: 20; color: "#666666"; text: {if (mainPage.hTipi == "2") {var myText = "      Password : " + Crypto.base64Decode(pass) + "\n"; return myText} else {var myText = "      " + mainPage.sData2 + "     : " + server + "\n"; return myText}} Image {source: "images/1_pass.png"} }
                    }
                  }

        ListModel { id: listModel }

        Component.onCompleted: getText()
    }

    Label {
        id: hesapKayit1
        visible: false
        x: 20
        y: 32
        color: "#333333"
        text: "E-Mail :"
    }

    TextField {
        id: hesapKayit2
        visible: false
        x: 170
        y: 20
        width: 280
        maximumLength: 50
        text: ""
    }

    Label {
        id: hesapKayit3
        visible: false
        x: 20
        y: 95
        color: "#333333"
        text: "U. Name :"
    }

    TextField {
        id: hesapKayit4
        visible: false
        x: 170
        y: 90
        width: 280
        maximumLength: 50
        text: ""
    }

    Label {
        id: hesapKayit5
        visible: false
        x: 20
        y: 172
        color: "#333333"
        text: "*Password :"
    }

    TextField {
        id: hesapKayit6
        visible: false
        x: 170
        y: 160
        width: 280
        maximumLength: 50
        text: ""
    }

    Label {
        id: hesapKayit7
        visible: false
        x: 20
        y: 235
        color: "#333333"
        text: "Server :"
    }

    TextField {
        id: hesapKayit8
        visible: false
        x: 170
        y: 230
        width: 280
        maximumLength: 50
        text: ""
    }

    Label {
        id: hesapKayit9
        visible: false
        x: 172
        y: 290
        color: "#999999"
        text: "e.g. : pop3.live.com"
    }

    SelectionDialog {
        id: hesapturu1
        titleText: "Select Type"
        selectedIndex: 0

        onSelectedIndexChanged: hesapKayit10.text = hesapturu1.model.get(hesapturu1.selectedIndex).name
        model:
            ListModel {
            ListElement { name: "Gmail" }
            ListElement { name: "Hotmail" }
            ListElement { name: "Yahoo" }
            ListElement { name: "Mynet" }
            ListElement { name: "Other" }
        }
    }

    SelectionDialog {
        id: hesapturu2
        titleText: "Select Type"
        selectedIndex: 0

        onSelectedIndexChanged: hesapKayit10.text = hesapturu2.model.get(hesapturu2.selectedIndex).name
        model:
            ListModel {
            ListElement { name: "Akbank" }
            ListElement { name: "Albaraka Türk" }
            ListElement { name: "Bank Asya" }
            ListElement { name: "Citibank" }
            ListElement { name: "DenizBank" }
            ListElement { name: "Finansbank" }
            ListElement { name: "Fortis" }
            ListElement { name: "Garanti" }
            ListElement { name: "Halkbank" }
            ListElement { name: "HSBC Bank" }
            ListElement { name: "ING Bank" }
            ListElement { name: "İş Bankası" }
            ListElement { name: "Kuveyt Türk" }
            ListElement { name: "Şekerbank" }
            ListElement { name: "TEB" }
            ListElement { name: "Türkiye Finans" }
            ListElement { name: "Vakıfbank" }
            ListElement { name: "Yapıkredi" }
            ListElement { name: "Ziraat" }
            ListElement { name: "Other" }
        }
    }

    SelectionDialog {
        id: hesapturu3
        titleText: "Select Type"
        selectedIndex: 0

        onSelectedIndexChanged: hesapKayit10.text = hesapturu3.model.get(hesapturu3.selectedIndex).name
        model:
            ListModel {
            ListElement { name: "FTP" }
            ListElement { name: "Internet" }
            ListElement { name: "Smtp" }
            ListElement { name: "Other" }
        }
    }

    SelectionDialog {
        id: hesapturu4
        titleText: "Select Type"
        selectedIndex: 0

        onSelectedIndexChanged: hesapKayit10.text = hesapturu4.model.get(hesapturu4.selectedIndex).name
        model:
            ListModel {
            ListElement { name: "AIM" }
            ListElement { name: "Amazon" }
            ListElement { name: "Delicious" }
            ListElement { name: "Digg" }
            ListElement { name: "Ebay" }
            ListElement { name: "Facebook" }
            ListElement { name: "Flickr" }
            ListElement { name: "FriendFeed" }
            ListElement { name: "Google+" }
            ListElement { name: "Google Talk" }
            ListElement { name: "Lastfm" }
            ListElement { name: "LinkedIn" }
            ListElement { name: "Messenger" }
            ListElement { name: "MySpace" }
            ListElement { name: "Nikeplus" }
            ListElement { name: "Picasa" }
            ListElement { name: "Reddit" }
            ListElement { name: "Skype" }
            ListElement { name: "Stumbleupon" }
            ListElement { name: "Technorati" }
            ListElement { name: "Twitter" }
            ListElement { name: "Vimeo" }
            ListElement { name: "Yelp" }
            ListElement { name: "YouTube" }
            ListElement { name: "Wikipedia" }
            ListElement { name: "Other" }
        }
    }

    SelectionDialog {
        id: hesapturu5
        titleText: "Select Type"
        selectedIndex: 0


        onSelectedIndexChanged: hesapKayit10.text = hesapturu5.model.get(hesapturu5.selectedIndex).name

        model:
            ListModel {
            ListElement { name: "Teamviewer" }
            ListElement { name: "School Password" }
            ListElement { name: "MeeGo Türkiye" }
            ListElement { name: "Other" }
        }
    }

    Button {
        id: hesapKayit10
        visible: false
        x: 185
        y: 340
        width: 250
        text: "Select..."
        onClicked: {if (mainPage.hTipi == "1") {
                        hesapturu1.open()
                    } else if (mainPage.hTipi == "2") {
                        hesapturu2.open()
                    } else if (mainPage.hTipi == "3") {
                        hesapturu3.open()
                    } else if (mainPage.hTipi == "4") {
                        hesapturu4.open()
                    } else if (mainPage.hTipi == "5") {
                        hesapturu5.open()
                    }}
    }

    Label {
        id: hesapKayit13
        visible: false
        x: 20
        y: 355
        color: "#666666"
        text: "*Select Type :"
    }


    Label {
        id: hesapKayit11
        visible: false
        x: 20
        y: 420
        color: "#666666"
        text: "(*) Required fields."
    }

    Timer { id:myTimer; interval: 3000; running: false; repeat: false; onTriggered: {hesapKayit11.color = "#666666"; hesapKayit11.font.pixelSize = 20; hesapKayit11.font.bold = false; myTimer.running = false; myTimer.repeat = false} }

    Button {
        id: hesapKayit12
        visible: false
        x: 190
        y: 455
        width: 250
        text: "Save Account!"
        onClicked: {
        if (hesapKayit6.text != "") {
            if (mainPage.hTipi == "1") {
                Storage.setSetting(1,hesapKayit2.text,hesapKayit4.text,Crypto.base64Encode(hesapKayit6.text),hesapKayit8.text,hesapturu1.model.get(hesapturu1.selectedIndex).name,1,hesapturu1.selectedIndex,changeID)
            } else if (mainPage.hTipi == "2") {
                Storage.setSetting(1,hesapKayit2.text,hesapKayit4.text,Crypto.base64Encode(hesapKayit6.text),hesapKayit8.text,hesapturu2.model.get(hesapturu2.selectedIndex).name,2,hesapturu2.selectedIndex,changeID)
            } else if (mainPage.hTipi == "3") {
                Storage.setSetting(1,hesapKayit2.text,hesapKayit4.text,Crypto.base64Encode(hesapKayit6.text),hesapKayit8.text,hesapturu3.model.get(hesapturu3.selectedIndex).name,3,hesapturu3.selectedIndex,changeID)
            } else if (mainPage.hTipi == "4") {
                Storage.setSetting(1,hesapKayit2.text,hesapKayit4.text,Crypto.base64Encode(hesapKayit6.text),hesapKayit8.text,hesapturu4.model.get(hesapturu4.selectedIndex).name,4,hesapturu4.selectedIndex,changeID)
            } else if (mainPage.hTipi == "5") {
                Storage.setSetting(1,hesapKayit2.text,hesapKayit4.text,Crypto.base64Encode(hesapKayit6.text),hesapKayit8.text,hesapturu5.model.get(hesapturu5.selectedIndex).name,5,hesapturu5.selectedIndex,changeID)
            }

            getText()
            cmdGeri.clicked()
            cmdTemizle.clicked()
        } else {hesapKayit11.font.pixelSize = 25
                hesapKayit11.color = "Red"
                hesapKayit11.font.bold = true
                myTimer.running = true}
        changeID = ""
        }
    }

    Text {
        x: 20
        y: 625
        color: "#666666"
        font.italic: true
        font.pixelSize: 16
        text: "<b>Account Box</b>, keeps your personal account<br>" +
              "informations securely by encrypting in a<br>" +
              "special database for remember."
    }

    Text {
        id: about
        x: 20
        y: 700
        color: "#666666"
        font.bold: true
        font.pixelSize: 18
        text: "© 2012 apps-dev."
    }

    ToolBarLayout {
        id: commonTools
        visible: true
        ToolIcon {
            id: cmdBack
            platformIconId: "toolbar-back"
            anchors.left: (parent === undefined) ? undefined : parent.left
            onClicked: pageStack.pop()
        }
        ToolIcon {
            id: cmdGeri
            visible: false
            platformIconId: "toolbar-back"
            anchors.left: (parent === undefined) ? undefined : parent.left
            onClicked: setObjects(false)
        }
        ToolIcon {
            id: cmdSil
            platformIconId: "toolbar-delete"
            onClicked: queryDialog.open()
        }
        ToolIcon {
            id: cmdTazele
            platformIconId: "toolbar-refresh"
            onClicked: getText()
        }
        ToolButton {
            id: cmdTemizle
            width: 100
            text: "Clear"
            visible: false
            onClicked: {
                hesapKayit2.text = ""
                hesapKayit4.text = ""
                hesapKayit6.text = ""
                hesapKayit8.text = ""
            }
        }
        ToolIcon {
            id: cmdEkle
            platformIconId: "toolbar-add"
            onClicked: setObjects(true)
        }
        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status == DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
    }

    QueryDialog {
        id: queryDialog
        titleText: "Account Deletion"
        message: "Delete all accounts belong to the category?"
        acceptButtonText: "Yes"
        rejectButtonText: "No"
        onAccepted: {Storage.deleteData("",mainPage.hTipi)
                    getText()}
        onRejected: queryDialog.close()
    }

    Menu {
        id: mySDialog
        visualParent: pageStack
        MenuLayout {
            MenuItem { text: "Edit Account"; onClicked: {changeID = dataID; dataID = ""
                                                           hesapKayit2.text = Storage.getSetting(1,changeID,1)
                                                           hesapKayit4.text = Storage.getSetting(1,changeID,2)
                                                           hesapKayit6.text = Crypto.base64Decode(Storage.getSetting(1,changeID,3))
                                                           hesapKayit8.text = Storage.getSetting(1,changeID,4)
                                                           setObjects(true)
                                                           hesapKayit10.text = Storage.getSetting(1,changeID,5)
                                                           if (mainPage.hTipi == "1") {
                                                               hesapturu1.selectedIndex = Storage.getSetting(1,changeID,6)
                                                           } else if (mainPage.hTipi == "2") {
                                                               hesapturu2.selectedIndex = Storage.getSetting(1,changeID,6)
                                                           } else if (mainPage.hTipi == "3") {
                                                               hesapturu3.selectedIndex = Storage.getSetting(1,changeID,6)
                                                           } else if (mainPage.hTipi == "4") {
                                                               hesapturu4.selectedIndex = Storage.getSetting(1,changeID,6)
                                                           } else if (mainPage.hTipi == "5") {
                                                               hesapturu5.selectedIndex = Storage.getSetting(1,changeID,6)
                                                           }} }
            MenuItem { text: "Delete Account"; onClicked: {Storage.deleteData(dataID,""); getText(); dataID = ""} }
        }
    }
}
