import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow

    initialPage: mainPage
    MainPage { id: mainPage; orientationLock: PageOrientation.LockPortrait }
    Categori { id: cateGori }
    Account { id: accoUnt }

    QueryDialog {
        id: myDialog
        icon: "images/logo.png"
        titleText: "Account Box"
        message: "This application developed by<br>apps-dev laboratories.<br>All rights reserved.<br>Copyright © 2012 apps-dev."
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem { text: "Privacy Policy"; onClicked: pageStack.push(Qt.resolvedUrl("Privacy.qml")) }
            MenuItem { text: "About"; onClicked: myDialog.open() }
            MenuItem { text: "Exit"; onClicked: Qt.quit() }
        }
    }
}
